Bug 103695 - precise movement in superimpose template
Summary: precise movement in superimpose template
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Generic-PhotoLayoutEditor (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-12 00:17 UTC by Mikolaj Machowski
Modified: 2017-08-18 13:23 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikolaj Machowski 2005-04-12 00:17:35 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources
Compiler:          gcc3.4.3 
OS:                Linux

At the moment it is very hard to precisely move image in superimpose template.
Lag and small preview make it next to impossible to superimpose image and
template to the pixel.

Possible solutions:
1. Create arrow buttons. Con: bloating of interface
2. Use keyboard arrows for navigation when move mode is chosen. Currently it
only changes focus
Comment 1 caulier.gilles 2012-01-16 08:29:43 UTC
Git commit d8af0907f293559290fb3329a5c0bfd3b54376f8 by Gilles Caulier.
Committed on 16/01/2012 at 09:20.
Pushed by cgilles into branch 'master'.

Remove SuperImpose tool from digiKam image editor. This one been pretty old and used yet Qt3 support class.
PhotoLayoutEditor tool from kipi-plugins must be used now instead. Template support using SVG file have been
added by Lukas during Coding Sprint 2012 at Genoa. It will be avaialble for next release 2.6.0.
CCMAIL: digikam-devel@kde.org
CCMAIL: lukasz.spas@gmail.com
Related: bug 171823, bug 103696, bug 117343

M  +0    -1    imageplugins/TODO
M  +0    -8    imageplugins/decorate/CMakeLists.txt
M  +4    -6    imageplugins/decorate/digikamimageplugin_decorate_ui.rc
M  +1    -16   imageplugins/decorate/imageplugin_decorate.cpp
M  +1    -1    imageplugins/decorate/imageplugin_decorate.h
D  +0    -195  imageplugins/decorate/superimpose/dirselectwidget.cpp
D  +0    -77   imageplugins/decorate/superimpose/dirselectwidget.h
D  +0    -73   imageplugins/decorate/superimpose/superimpose.cpp
D  +0    -72   imageplugins/decorate/superimpose/superimpose.h
D  +0    -317  imageplugins/decorate/superimpose/superimposetool.cpp
D  +0    -71   imageplugins/decorate/superimpose/superimposetool.h
D  +0    -390  imageplugins/decorate/superimpose/superimposewidget.cpp
D  +0    -119  imageplugins/decorate/superimpose/superimposewidget.h

http://commits.kde.org/digikam/d8af0907f293559290fb3329a5c0bfd3b54376f8